VAL INT MSGLENGTH IS 2:           -- data,timestamp


TYPE DATA IS [MSGLENGTH]INT:


PROTOCOL RDATAST IS
  CASE
    data;DATA
    stop
:

    
PROTOCOL EVENT IS                 --for ack without timestamp
  CASE                            
    signal
    stop
:
